Package org.eclipse.mat.report

## Class TestSuite.Builder

- java.lang.Object
- - org.eclipse.mat.report.TestSuite.Builder

Enclosing class:
  TestSuite

    public static class TestSuite.Builder
    extends Object

### Constructor Summary

Constructors
`Builder​(File specFile)`
`Builder​(String identifier)`
`Builder​(Spec spec)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TestSuite` `build​(IQueryContext queryContext)`
`TestSuite.Builder` `output​(File file)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder​(String identifier)
            throws SnapshotException

Throws:
  `SnapshotException`

#### Builder

    public Builder​(File specFile)
            throws SnapshotException

Throws:
  `SnapshotException`

#### Builder

    public Builder​(Spec spec)

### Method Detail

#### output

    public TestSuite.Builder output​(File file)

#### build

    public TestSuite build​(IQueryContext queryContext)